---
title: App Store Management
slug: epmm/v2-api-guide/app-store-management
createdAt: 2026-10-06T08:06:39.369Z
---

## Get a list of all available apps

This call gets a list of all available apps.

### Required Role

See [Authentication](docId\:hJ6Ul2Sz4DNsmnPJ-Fxl_) for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.

| Required Role                                                      |
| ------------------------------------------------------------------ |
| **Category:** App Management<br />**Role Description:** Manage app |

### HTTP method

GET

### Request URI

/api/v2/appstore/apps

### Request parameters

| Parameter          | Description                                                                                                       | Sample Value |
| ------------------ | ----------------------------------------------------------------------------------------------------------------- | ------------ |
| adminDeviceSpaceId | **Required**<br />**Parameter Type:** Query<br />**Data Type:** Number<br />Device space ID of the administrator. | 1            |

### Response fields

| Field                                                          | Description |
| -------------------------------------------------------------- | ----------- |
| totalCount                                                     |             |
| resultCount                                                    |             |
| hasMore                                                        |             |
| results                                                        |             |
| <font color="#000000">        </font>name                      |             |
| <font color="#000000">        </font>id                        |             |
| <font color="#000000">        </font>version                   |             |
| <font color="#000000">        </font>description               |             |
| <font color="#000000">        </font>installName               |             |
| <font color="#000000">        </font>platformId                |             |
| <font color="#000000">        </font>platforms                 |             |
| <font color="#000000">        </font>createdAt                 |             |
| <font color="#000000">        </font>installerFileName         |             |
| <font color="#000000">        </font>source                    |             |
| <font color="#000000">        </font>pushedCount               |             |
| <font color="#000000">        </font>installedCount            |             |
| <font color="#000000">        </font>pendingCount              |             |
| <font color="#000000">        </font>installState              |             |
| <font color="#000000">        </font>rowType                   |             |
| <font color="#000000">        </font>bundleID                  |             |
| <font color="#000000">        </font>appSortOrder              |             |
| <font color="#000000">        </font>platformType              |             |
| <font color="#000000">        </font>pushLabels                |             |
| <font color="#000000">        </font>publishLabels             |             |
| <font color="#000000">        </font>vppLabels                 |             |
| <font color="#000000">        </font>tokensPurchased           |             |
| <font color="#000000">        </font>tokensRemaining           |             |
| <font color="#000000">        </font>vppLicensesPurchased      |             |
| <font color="#000000">        </font>vppLicensesUsed           |             |
| <font color="#000000">        </font>size                      |             |
| <font color="#000000">        </font>author                    |             |
| <font color="#000000">        </font>webAppUri                 |             |
| <font color="#000000">        </font>format                    |             |
| <font color="#000000">        </font>appIconUrl                |             |
| <font color="#000000">        </font>permissionUpdateAvailable |             |
| <font color="#000000">        </font>afw                       |             |
| <font color="#000000">        </font>appBgColor                |             |
| <font color="#000000">        </font>hidden                    |             |
| <font color="#000000">        </font>profileExpirationDate     |             |
| <font color="#000000">        </font>categories                |             |
| <font color="#000000">        </font>recommendedApp            |             |

### Sample request and responses

### Request

curl -X GET -H "Authorization: Basic \<token>" "https\://\[Ivanti EPMM]/api/v2/
appstore/apps?adminDeviceSpaceId=1"

### Response

`{`

    `"totalCount": 15,`

    `"resultCount": 15,`

    `"hasMore": false,`

    `"results": [`

        `{`

            `"name": "Accellion",`

            `"id": 108,`

            `"version": null,`

            `"description": null,`

            `"installName": null,`

            `"platformId": null,`

            `"platforms": null,`

            `"createdAt": 1478044321000,`

            `"installerFileName": null,`

            `"source": "Public",`

            `"pushedCount": 0,`

            `"installedCount": 0,`

            `"pendingCount": 0,`

            `"installState": "",`

            `"rowType": null,`

            `"bundleID": "com.accellion.AccellioniPhone",`

            `"appSortOrder": null,`

            `"platformType": "I",`

            `"pushLabels": null,`

            `"publishLabels": [ ],`

            `"vppLabels": [ ],`

            `"tokensPurchased": 0,`

            `"tokensRemaining": 0,`

            `"vppLicensesPurchased": 0,`

            `"vppLicensesUsed": 0,`

            `"size": 53989376,`

            `"author": "Accellion, Inc.",`

            `"webAppUri": null,`

            `"format": null,`

            `"appIconUrl": "/mifs/admin/rest/api/v2/appstore/apps/108/images/4f393e17-4b8b-445d-b6a0-fbb17cac087b",`

            `"permissionUpdateAvailable": false,`

            `"afw": false,`

            `"appBgColor": null,`

            `"hidden": false,`

            `"profileExpirationDate": null,`

            `"categories": [ ],`

            `"recommendedApp": true`

        `},`

        `{`

            `"name": "Acronis Access",`

            `"id": 115,`

            `"version": null,`

            `"description": null,`

            `"installName": null,`

            `"platformId": null,`

            `"platforms": null,`

            `"createdAt": 1478044338000,`

            `"installerFileName": null,`

            `"source": "Public",`

            `"pushedCount": 0,`

            `"installedCount": 0,`

            `"pendingCount": 0,`

            `"installState": "",`

            `"rowType": null,`

            `"bundleID": "com.grouplogic.mobilecho",`

            `"appSortOrder": null,`

            `"platformType": "I",`

            `"pushLabels": null,`

            `"publishLabels": [ ],`

            `"vppLabels": [ ],`

            `"tokensPurchased": 0,`

            `"tokensRemaining": 0,`

            `"vppLicensesPurchased": 0,`

            `"vppLicensesUsed": 0,`

            `"size": 138735616,`

            `"author": "Group Logic, Inc.",`

            `"webAppUri": null,`

            `"format": null,`

            `"appIconUrl": "/mifs/admin/rest/api/v2/appstore/apps/115/images/2e71acf0-2f36-4553-8e9c-4640e88a5191",`

            `"permissionUpdateAvailable": false,`

            `"afw": false,`

            `"appBgColor": null,`

            `"hidden": false,`

            `"profileExpirationDate": null,`

            `"categories": [ ],`

            `"recommendedApp": true`

        `},`

        `...`

    `]`

`}`

## Get app data by id

This call gets app data by app id.

### Required Role

See [Authentication](docId\:hJ6Ul2Sz4DNsmnPJ-Fxl_) for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.

| Required Role                                                      |
| ------------------------------------------------------------------ |
| **Category:** App Management<br />**Role Description:** Manage app |

### HTTP method

GET

### Request URI

/api/v2/appstore/apps/

### Request parameters

| Parameter          | Description                                                                                                                                     | Sample Value |
| ------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| adminDeviceSpaceId | **Required**<br />**Parameter Type:** Query<br />**Data Type:** Number<br />Device space ID of the administrator.                               | 1            |
| id                 | **Required**<br />**Parameter Type:** Query<br />**Data Type:** Number<br />The app’s ID. You can find it by issuing GET /api/v2/appstore/apps. | 2            |

### iOS Response fields

| Field                                                                | Description                                                                                                                                                                                              |
| -------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| results                                                              |                                                                                                                                                                                                          |
| <font color="#000000">    </font>id                                  |                                                                                                                                                                                                          |
| <font color="#000000">    </font>name                                |                                                                                                                                                                                                          |
| <font color="#000000">    </font>platformType                        |                                                                                                                                                                                                          |
| <font color="#000000">    </font>platformCode                        |                                                                                                                                                                                                          |
| <font color="#000000">    </font>version                             |                                                                                                                                                                                                          |
| <font color="#000000">    </font>altVersion                          |                                                                                                                                                                                                          |
| <font color="#000000">    </font>displayVersion                      |                                                                                                                                                                                                          |
| <font color="#000000">    </font>appId                               |                                                                                                                                                                                                          |
| <font color="#000000">    </font>creatorType                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>catalogType                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>publicAppStoreType                  |                                                                                                                                                                                                          |
| <font color="#000000">    </font>publicStoreId                       |                                                                                                                                                                                                          |
| <font color="#000000">    </font>developerName                       |                                                                                                                                                                                                          |
| <font color="#000000">    </font>description                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>cost                                |                                                                                                                                                                                                          |
| <font color="#000000">    </font>currency                            |                                                                                                                                                                                                          |
| <font color="#000000">    </font>averageRating                       |                                                                                                                                                                                                          |
| <font color="#000000">    </font>ratingCount                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>installSize                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>createdAt                           |                                                                                                                                                                                                          |
| <font color="#000000">    </font>modifiedAt                          |                                                                                                                                                                                                          |
| <font color="#000000">    </font>vpnIds                              |                                                                                                                                                                                                          |
| <font color="#000000">    </font>iconFile                            |                                                                                                                                                                                                          |
| <font color="#000000">        </font>fileName                        |                                                                                                                                                                                                          |
| <font color="#000000">        </font>uuid                            |                                                                                                                                                                                                          |
| <font color="#000000">        </font>url                             |                                                                                                                                                                                                          |
| <font color="#000000">        </font>}                               |                                                                                                                                                                                                          |
| <font color="#000000">    </font>installer                           |                                                                                                                                                                                                          |
| <font color="#000000">    </font>phoneScreenshots                    |                                                                                                                                                                                                          |
| <font color="#000000">            </font>fileName                    |                                                                                                                                                                                                          |
| <font color="#000000">            </font>uuid                        |                                                                                                                                                                                                          |
| <font color="#000000">            </font>url                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>tabletScreenshots                   |                                                                                                                                                                                                          |
| <font color="#000000">            </font>fileName                    |                                                                                                                                                                                                          |
| <font color="#000000">            </font>uuid                        |                                                                                                                                                                                                          |
| <font color="#000000">            </font>url                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>categories                          |                                                                                                                                                                                                          |
| <font color="#000000">    </font>featuredApp                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>featuredBanner                      |                                                                                                                                                                                                          |
| <font color="#000000">    </font>bannerDescription                   |                                                                                                                                                                                                          |
| <font color="#000000">    </font>bannerStyle                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>hiddenInAppstore                    |                                                                                                                                                                                                          |
| <font color="#000000">    </font>perAppVpnByLabelOnly                |                                                                                                                                                                                                          |
| <font color="#000000">    </font>dataProtectionRequired              |                                                                                                                                                                                                          |
| <font color="#000000">    </font>overrideURL                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>quarantinable                       |                                                                                                                                                                                                          |
| <font color="#000000">    </font>pushedOnRegistration                |                                                                                                                                                                                                          |
| <font color="#000000">    </font>backupPrevented                     |                                                                                                                                                                                                          |
| <font color="#000000">    </font>cdnServiceEnabled                   |                                                                                                                                                                                                          |
| <font color="#000000">    </font>cdnDisabled                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>deviceSpaceId                       |                                                                                                                                                                                                          |
| <font color="#000000">    </font>spaces                              |                                                                                                                                                                                                          |
| <font color="#000000">            </font>id                          |                                                                                                                                                                                                          |
| <font color="#000000">            </font>name                        |                                                                                                                                                                                                          |
| <font color="#000000">            </font>parentId                    |                                                                                                                                                                                                          |
| <font color="#000000">            </font>path                        |                                                                                                                                                                                                          |
| <font color="#000000">    </font>newApp                              |                                                                                                                                                                                                          |
| <font color="#000000">    </font>minimumOsVersion                    | This call returns a cryptic value for minimumOsVersion. Please see the call [Get minimumOsVersion Information](docId\:ypksG_7fEeBdQVxdWd53i) to decode the minimumOsVersion value returned by this call. |
| <font color="#000000">    </font>apnsCertificate                     |                                                                                                                                                                                                          |
| <font color="#000000">    </font>ipadOnly                            |                                                                                                                                                                                                          |
| <font color="#000000">    </font>noCostApp                           |                                                                                                                                                                                                          |
| <font color="#000000">    </font>provisioningProfile                 |                                                                                                                                                                                                          |
| <font color="#000000">    </font>messagingSupported                  |                                                                                                                                                                                                          |
| <font color="#000000">    </font>allowUpdateFromUnmanagedToManaged   |                                                                                                                                                                                                          |
| <font color="#000000">    </font>enforceUpdateFromUnmanagedToManaged |                                                                                                                                                                                                          |
| <font color="#000000">    </font>profileExpirationDate               |                                                                                                                                                                                                          |
| <font color="#000000">    </font>removeAppWhenMDMDisabled            |                                                                                                                                                                                                          |
| <font color="#000000">    </font>pushedOnQuarantine                  |                                                                                                                                                                                                          |
| <font color="#000000">    </font>codeVersion                         |                                                                                                                                                                                                          |
| <font color="#000000">    </font>autoUpdateEnabled                   |                                                                                                                                                                                                          |
| <font color="#000000">    </font>manualUpdateEnabled                 |                                                                                                                                                                                                          |
| <font color="#000000">    </font>appStoreDetailUrl                   |                                                                                                                                                                                                          |
| <font color="#000000">    </font>vpnNames                            |                                                                                                                                                                                                          |
| <font color="#000000">    </font>preferPlistAppConfig                |                                                                                                                                                                                                          |
| <font color="#000000">    </font>oneTouchAppConfigs                  |                                                                                                                                                                                                          |
| <font color="#000000">    </font>updatedSpecAvailable                |                                                                                                                                                                                                          |
| messages                                                             |                                                                                                                                                                                                          |
| <font color="#000000">        </font>type                            |                                                                                                                                                                                                          |
| <font color="#000000">        </font>messageKey                      |                                                                                                                                                                                                          |
| <font color="#000000">        </font>localizedMessage                |                                                                                                                                                                                                          |

### Android Response fields

| Field                                                         | Description |
| ------------------------------------------------------------- | ----------- |
| results                                                       |             |
| <font color="#000000">    </font>id                           |             |
| <font color="#000000">    </font>name                         |             |
| <font color="#000000">    </font>platformType                 |             |
| <font color="#000000">    </font>platformCode                 |             |
| <font color="#000000">    </font>version                      |             |
| <font color="#000000">    </font>altVersion                   |             |
| <font color="#000000">    </font>displayVersion               |             |
| <font color="#000000">    </font>appId                        |             |
| <font color="#000000">    </font>creatorType                  |             |
| <font color="#000000">    </font>catalogType                  |             |
| <font color="#000000">    </font>publicAppStoreType           |             |
| <font color="#000000">    </font>publicStoreId                |             |
| <font color="#000000">    </font>developerName                |             |
| <font color="#000000">    </font>description                  |             |
| <font color="#000000">    </font>updateNotes                  |             |
| <font color="#000000">    </font>cost                         |             |
| <font color="#000000">    </font>currency                     |             |
| <font color="#000000">    </font>averageRating                |             |
| <font color="#000000">    </font>ratingCount                  |             |
| <font color="#000000">    </font>installSize                  |             |
| <font color="#000000">    </font>createdAt                    |             |
| <font color="#000000">    </font>modifiedAt                   |             |
| <font color="#000000">    </font>vpnIds                       |             |
| <font color="#000000">    </font>iconFile                     |             |
| <font color="#000000">        </font>fileName                 |             |
| <font color="#000000">        </font>uuid                     |             |
| <font color="#000000">        </font>url                      |             |
| <font color="#000000">    </font>installer                    |             |
| <font color="#000000">    </font>phoneScreenshots             |             |
| <font color="#000000">            </font>fileName             |             |
| <font color="#000000">            </font>uuid                 |             |
| <font color="#000000">            </font>url                  |             |
| <font color="#000000">    </font>tabletScreenshots            |             |
| <font color="#000000">    </font>categories                   |             |
| <font color="#000000">    </font>featuredApp                  |             |
| <font color="#000000">    </font>featuredBanner               |             |
| <font color="#000000">    </font>bannerDescription            |             |
| <font color="#000000">    </font>bannerStyle                  |             |
| <font color="#000000">    </font>hiddenInAppstore             |             |
| <font color="#000000">    </font>perAppVpnByLabelOnly         |             |
| <font color="#000000">    </font>dataProtectionRequired       |             |
| <font color="#000000">    </font>overrideURL                  |             |
| <font color="#000000">    </font>quarantinable                |             |
| <font color="#000000">    </font>pushedOnRegistration         |             |
| <font color="#000000">    </font>backupPrevented              |             |
| <font color="#000000">    </font>cdnServiceEnabled            |             |
| <font color="#000000">    </font>cdnDisabled                  |             |
| <font color="#000000">    </font>deviceSpaceId                |             |
| <font color="#000000">    </font>spaces                       |             |
| <font color="#000000">            </font>id                   |             |
| <font color="#000000">            </font>name                 |             |
| <font color="#000000">            </font>parentId             |             |
| <font color="#000000">            </font>path                 |             |
| <font color="#000000">    </font>newApp                       |             |
| <font color="#000000">    </font>minimumOsVersion             |             |
| <font color="#000000">    </font>androidWork                  |             |
| <font color="#000000">    </font>androidWorkSilentInstall     |             |
| <font color="#000000">    </font>androidWorkBlockUninstall    |             |
| <font color="#000000">    </font>blockWidget                  |             |
| <font color="#000000">    </font>autoUpdate                   |             |
| <font color="#000000">    </font>permissionUpdateAvailable    |             |
| <font color="#000000">    </font>enterpriseConfigs            |             |
| <font color="#000000">            </font>name                 |             |
| <font color="#000000">            </font>restrictions         |             |
| <font color="#000000">                    </font>title        |             |
| <font color="#000000">                    </font>key          |             |
| <font color="#000000">                    </font>value        |             |
| <font color="#000000">                    </font>type         |             |
| <font color="#000000">                    </font>values       |             |
| <font color="#000000">                    </font>displayValue |             |
| <font color="#000000">            </font>permissions          |             |
| <font color="#000000">                    </font>id           |             |
| <font color="#000000">                    </font>name         |             |
| <font color="#000000">                    </font>description  |             |
| <font color="#000000">                    </font>value        |             |
| <font color="#000000">                    </font>displayValue |             |
| <font color="#000000">                    </font>permissionId |             |
| <font color="#000000">            </font>labels               |             |
| <font color="#000000">                    </font>id           |             |
| <font color="#000000">                    </font>name         |             |
| <font color="#000000">            </font>name                 |             |
| <font color="#000000">            </font>restrictions         |             |
| <font color="#000000">            </font>permissions          |             |
| <font color="#000000">                    </font>id           |             |
| <font color="#000000">                    </font>name         |             |
| <font color="#000000">                    </font>description  |             |
| <font color="#000000">                    </font>value        |             |
| <font color="#000000">                    </font>displayValue |             |
| <font color="#000000">                    </font>permissionId |             |
| <font color="#000000">            </font>labels               |             |
| <font color="#000000">                    </font>id           |             |
| <font color="#000000">                    </font>name         |             |
| <font color="#000000">            </font>name                 |             |
| <font color="#000000">            </font>restrictions         |             |
| <font color="#000000">            </font>permissions          |             |
| <font color="#000000">                    </font>id           |             |
| <font color="#000000">                    </font>name         |             |
| <font color="#000000">                    </font>description  |             |
| <font color="#000000">                    </font>value        |             |
| <font color="#000000">                    </font>displayValue |             |
| <font color="#000000">                    </font>permissionId |             |
| <font color="#000000">            </font>labels               |             |
| <font color="#000000">    </font>versionRequired              |             |
| <font color="#000000">    </font>codeVersion                  |             |
| <font color="#000000">    </font>mandatory                    |             |
| <font color="#000000">    </font>mandatoryOverwrite           |             |
| <font color="#000000">    </font>secureApp                    |             |
| <font color="#000000">    </font>enforceVersion               |             |
| <font color="#000000">    </font>vpnNames                     |             |
| messages                                                      |             |
| <font color="#000000">        </font>type                     |             |
| <font color="#000000">        </font>messageKey               |             |
| <font color="#000000">        localizedMessage</font>         |             |

### Sample request and responses

### iOS Request

curl -X GET \\

  'https\://\[Ivanti EPMM]/api/v2/appstore/apps/119?adminDeviceSpaceId=1' \\

### iOS Response

`{`

    `"results": {`

        `"id": 119,`

        `"name": "Words With Friends – Word Game",`

        `"platformType": "IPhone",`

        `"platformCode": "I",`

        `"version": null,`

        `"altVersion": "",`

        `"displayVersion": null,`

        `"appId": "com.newtoyinc.NewWordsWithFriendsFree",`

        `"creatorType": "ADMIN",`

        `"catalogType": "APP",`

        `"publicAppStoreType": "ITUNES",`

        `"publicStoreId": "804379658",`

        `"developerName": "Zynga Inc.",`

        `"description": "The World’s Most Popular Mobile Word Game now has even more ways to play! Try new rewards and boosts to help you play smarter and faster!\n\nWords With Friends is the fun, free word game that lets you connect with friends and family while expanding your vocabulary and sharpening your wit. Test your brain power and spell your way to victory.  \n\nMay the Best Friend Win.™ \n\nGame Features: \n\n•\tWEEKLY CHALLENGE: Play the weekly challenge and earn fun, themed badges\n•\tSOLO PLAY: Play offline and sharpen your skills with solo play\n•\tHINDSIGHT: Uncover the best word you could have played after each turn \n•\tWORD RADAR: Heat map reveals all possible moves before you take a turn\n•\tPROFILE FRAMES: Show off your unique style with custom profile frames \n•\tSMART MATCH: Connect with players of a similar skill with Smart Match\n•\t6 LANGUAGES: Choose to play in Spanish, French, German, Italian, Brazilian Portuguese and British English\n\n*Play Words With Friends without third party ads between moves if you previously purchased Words With Friends Pro on iOS or any other mobile device. Be sure to login with Facebook or the email account you used to make the previous purchase to continue to play without third party ads between moves.\n\nAlready an accomplished Wordie? Like us on Facebook or follow us on Twitter to stay up-to-date on game news, contests, polls and more.\n\nhttps://www.facebook.com/WordsWithFriends\nhttps://twitter.com/WordsWFriends  \nhttps://instagram.com/wordswithfriends \n\nWe love hearing from you! Have a question or a suggestion? \nAsk questions here: http://zynga.tm/d01Tx  \nShare suggestions here: http://zynga.tm/r02dY \n\nThank you for playing Words With Friends!\n\nAdditional Information:\nThe game is free to play; however, in-app purchases are available for additional content and in-game currency. In-app purchases range from $0.99 to $99.99 USD.",`

        `"updateNotes": "Dear Wordies,\nWe’ve updated our latest version with bug fixes and improvements!\nMay The Best Friend Win\nWords With Friends",`

        `"cost": 0,`

        `"currency": "USD",`

        `"averageRating": 4.5,`

        `"ratingCount": 237475,`

        `"installSize": 269412352,`

        `"createdAt": 1558033456000,`

        `"modifiedAt": 1558033473000,`

        `"vpnIds": [],`

        `"iconFile": {`

            `"fileName": "logo.png",`

            `"uuid": "fef256c0-55bb-4fab-8b73-6790db3cbdce",`

            `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=fef256c0-55bb-4fab-8b73-6790db3cbdce&ext=PNG"`

        `},`

        `"installer": null,`

        `"phoneScreenshots": [`

            `{`

                `"fileName": "screen-shot-0.png",`

                `"uuid": "485f75da-fd29-402e-b906-099ba3207a11",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=485f75da-fd29-402e-b906-099ba3207a11&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-1.png",`

                `"uuid": "cbdfd6da-2e62-48fe-a5f1-5924767da24a",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=cbdfd6da-2e62-48fe-a5f1-5924767da24a&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-2.png",`

                `"uuid": "041018d2-88a3-4d8b-9c2e-cd0d019d297e",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=041018d2-88a3-4d8b-9c2e-cd0d019d297e&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-3.png",`

                `"uuid": "ac6cf248-e540-4288-838e-dac7e8b0e70c",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=ac6cf248-e540-4288-838e-dac7e8b0e70c&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-4.png",`

                `"uuid": "bb07b4cf-456f-42fd-94a0-f6a5b419a2d1",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=bb07b4cf-456f-42fd-94a0-f6a5b419a2d1&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-5.png",`

                `"uuid": "36609455-8a1b-4748-9b9f-bbaece68d559",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=36609455-8a1b-4748-9b9f-bbaece68d559&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-6.png",`

                `"uuid": "adb326c4-e395-4ebe-bab1-eccb774285cf",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=adb326c4-e395-4ebe-bab1-eccb774285cf&ext=PNG"`

            `}`

        `],`

        `"tabletScreenshots": [`

            `{`

                `"fileName": "screen-shot-0.png",`

                `"uuid": "db7738cc-ae44-4f4d-8440-b96f18171bde",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=db7738cc-ae44-4f4d-8440-b96f18171bde&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-1.png",`

                `"uuid": "3ffc7873-b420-443a-87c6-94e5bdc5463f",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=3ffc7873-b420-443a-87c6-94e5bdc5463f&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-2.png",`

                `"uuid": "0fbd03e7-22a8-4dd3-b5db-d7be40ff2a83",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=0fbd03e7-22a8-4dd3-b5db-d7be40ff2a83&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-3.png",`

                `"uuid": "3e04a2e1-17c9-4fca-971d-633aab95f5f3",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=3e04a2e1-17c9-4fca-971d-633aab95f5f3&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-4.png",`

                `"uuid": "117ff378-0584-4cc6-82dc-76e69297cb00",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=117ff378-0584-4cc6-82dc-76e69297cb00&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-5.png",`

                `"uuid": "89027db9-3fbc-4a21-837c-9e62b4cf621e",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=89027db9-3fbc-4a21-837c-9e62b4cf621e&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-6.png",`

                `"uuid": "56de0099-6922-4002-bbe3-16d535fabd94",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=119&uuid=56de0099-6922-4002-bbe3-16d535fabd94&ext=PNG"`

            `}`

        `],`

        `"categories": [],`

        `"featuredApp": false,`

        `"featuredBanner": false,`

        `"bannerDescription": null,`

        `"bannerStyle": null,`

        `"hiddenInAppstore": false,`

        `"perAppVpnByLabelOnly": false,`

        `"dataProtectionRequired": false,`

        `"overrideURL": null,`

        `"quarantinable": false,`

        `"pushedOnRegistration": false,`

        `"backupPrevented": false,`

        `"cdnServiceEnabled": false,`

        `"cdnDisabled": false,`

        `"deviceSpaceId": 1,`

        `"spaces": [`

            `{`

                `"id": 1,`

                `"name": "Global",`

                `"parentId": 0,`

                `"path": "/1/"`

            `}`

        `],`

        `"newApp": true,`

        `"minimumOsVersion": "11000000",`

        `"apnsCertificate": null,`

        `"ipadOnly": false,`

        `"noCostApp": true,`

        `"provisioningProfile": null,`

        `"messagingSupported": false,`

        `"allowUpdateFromUnmanagedToManaged": false,`

        `"enforceUpdateFromUnmanagedToManaged": false,`

        `"profileExpirationDate": null,`

        `"removeAppWhenMDMDisabled": true,`

        `"pushedOnQuarantine": false,`

        `"codeVersion": "",`

        `"autoUpdateEnabled": false,`

        `"manualUpdateEnabled": false,`

        `"appStoreDetailUrl": "https://app642.auto.mobileiron.com/mifs/asfV3x/appstore?appid=119",`

        `"vpnNames": null,`

        `"preferPlistAppConfig": false,`

        `"oneTouchAppConfigs": [],`

        `"updatedSpecAvailable": false`

    `},`

    `"messages": [`

        `{`

            `"type": "Info",`

            `"messageKey": "com.mobileiron.vsp.messages.appstore.get.app.success",`

            `"localizedMessage": "App successfully fetched."`

        `}`

    `]`

`}`

### Android request

curl -G -k -sS -u `<userName>:<password>` 'https\://\[Ivanti EPMM]/api/v2/appstore/apps/124' --data-urlencode 'adminDeviceSpaceId=1'

### Android response

`{`

    `"results": {`

        `"id": 124,`

        `"name": "Maps - Navigation & Transit",`

        `"platformType": "Android",`

        `"platformCode": "A",`

        `"version": null,`

        `"altVersion": "",`

        `"displayVersion": null,`

        `"appId": "com.google.android.apps.maps",`

        `"creatorType": "ADMIN",`

        `"catalogType": "APP",`

        `"publicAppStoreType": "GOOGLE_PLAY",`

        `"publicStoreId": "com.google.android.apps.maps",`

        `"developerName": "Google Inc.",`

        `"description": "Going somewhere? Go with Maps, the official app you can rely on for real-time GPS navigation, traffic, transit, and details about millions of places, such as reviews and popular times.<br><br>Get there faster with real-time updates<br>Beat traffic with real-time navigation, ETAs and traffic conditions<br>Catch your bus, train, or ride-share with real-time transit info<br>Save time with automatic re-routing based on live traffic, road closures and traffic incidents<br>Navigation with lane guidance so you don't miss a turn or exit<br>Find pit stops along your route like gas stations and coffee spots<br><br>Discover places and explore like a local<br>Find top-rated restaurants and local businesses, wherever you are<br>Decide on the best places to go with reviews, ratings, and pictures of foods and interiors<br>Plan your visit and see menus, make reservations, and find when places are typically busiest<br>Help others discover the best places by sharing reviews, photos and more<br>Save places you want to or often visit, and quickly find them later from any computer or device<br><br>Experience the Google Maps difference<br>Offline maps to search, get directions and use navigation without an internet connection<br>Street View and indoor imagery for restaurants, shops, museums and more<br>Indoor maps to quickly find your way inside big places like airports, malls and stadiums<br>Comprehensive, accurate maps in 220 countries and territories<br>Transit schedules and maps for over 15,000 cities<br>Detailed business information on over 100 million places<br><br>* Some features not available in all countries<br><br>___<br>Popular tips<br>• Get better location accuracy http://goo.gl/OgnOsv<br>• Improve voice navigation http://goo.gl/bDMK6P<br>• Report wrong directions http://goo.gl/hyOG6m<br><br>___<br>More tips<br>Visit the help center: http://goo.gl/zganXz<br>Become a beta tester: http://goo.gl/vLUcaJ",`

        `"updateNotes": "• Bug FixesBecome a beta tester: http://goo.gl/vLUcaJ",`

        `"cost": 0,`

        `"currency": null,`

        `"averageRating": null,`

        `"ratingCount": null,`

        `"installSize": 0,`

        `"createdAt": 1495579731000,`

        `"modifiedAt": 1495663372000,`

        `"vpnIds": [ ],`

        `"iconFile": {`

            `"fileName": "logo.png",`

            `"uuid": "ce7260f6-086a-4b73-b422-f7e17aa2479d",`

            `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=ce7260f6-086a-4b73-b422-f7e17aa2479d&ext=PNG"`

        `},`

        `"installer": null,`

        `"phoneScreenshots": [`

            `{`

                `"fileName": "screen-shot-0.png",`

                `"uuid": "fd4f42e9-5fdb-4a9e-a5c3-ce71c69d7a49",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=fd4f42e9-5fdb-4a9e-a5c3-ce71c69d7a49&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-1.png",`

                `"uuid": "8021484d-f67b-4d1f-b44b-42b665e44e35",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=8021484d-f67b-4d1f-b44b-42b665e44e35&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-2.png",`

                `"uuid": "706a3467-9259-48f7-afff-f25b6e3ac59b",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=706a3467-9259-48f7-afff-f25b6e3ac59b&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-3.png",`

                `"uuid": "6e99341f-c00e-4c3e-96a0-643d42842261",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=6e99341f-c00e-4c3e-96a0-643d42842261&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-4.png",`

                `"uuid": "6c3a8c53-d470-49da-97a7-797a15b17039",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=6c3a8c53-d470-49da-97a7-797a15b17039&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-5.png",`

                `"uuid": "b60ff489-a4b6-4840-908c-7b3f3a15f324",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=b60ff489-a4b6-4840-908c-7b3f3a15f324&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-6.png",`

                `"uuid": "30d42977-c9e3-4ec8-83af-20688589e73a",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=30d42977-c9e3-4ec8-83af-20688589e73a&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-7.png",`

                `"uuid": "0f4c538e-aef7-47d2-a7fd-e6156f023442",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=0f4c538e-aef7-47d2-a7fd-e6156f023442&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-8.png",`

                `"uuid": "b5b11f03-6943-466e-8edc-a5c97426d3e1",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=b5b11f03-6943-466e-8edc-a5c97426d3e1&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-9.png",`

                `"uuid": "ee5d36b9-436d-42ec-a977-48a65a53750c",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=ee5d36b9-436d-42ec-a977-48a65a53750c&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-10.png",`

                `"uuid": "8f27afa5-6130-4bc7-a10a-093f6de35a8d",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=8f27afa5-6130-4bc7-a10a-093f6de35a8d&ext=PNG"`

            `},`

            `{`

                `"fileName": "screen-shot-11.png",`

                `"uuid": "98a4e274-85a0-40c3-9675-589d8bc8c34f",`

                `"url": "/mifs/image/app.html?command=getAppArtifact&action=getAppArtifact&appid=124&uuid=98a4e274-85a0-40c3-9675-589d8bc8c34f&ext=PNG"`

            `}`

        `],`

        `"tabletScreenshots": [ ],`

        `"categories": [ ],`

        `"featuredApp": false,`

        `"featuredBanner": false,`

        `"bannerDescription": null,`

        `"bannerStyle": null,`

        `"hiddenInAppstore": false,`

        `"perAppVpnByLabelOnly": false,`

        `"dataProtectionRequired": false,`

        `"overrideURL": null,`

        `"quarantinable": false,`

        `"pushedOnRegistration": false,`

        `"backupPrevented": false,`

        `"cdnServiceEnabled": false,`

        `"cdnDisabled": false,`

        `"deviceSpaceId": 1,`

        `"spaces": [`

            `{`

                `"id": 1,`

                `"name": "Global",`

                `"parentId": 0,`

                `"path": "/1/"`

            `}`

        `],`

        `"newApp": true,`

        `"minimumOsVersion": null,`

        `"androidWork": true,`

        `"androidWorkSilentInstall": true,`

        `"androidWorkBlockUninstall": false,`

        `"blockWidget": false,`

        `"autoUpdate": false,`

        `"permissionUpdateAvailable": false,`

        `"enterpriseConfigs": [`

            `{`

                `"name": "GM2",`

                `"restrictions": [`  

        ` {`  

            `"title":"",`

            `"key":"",`

            `"value":"",`

            `"type":"",`

            `"values":[`  

            `],`

            `"displayValue":""`

        ` }`

      `],,`

                `"permissions": [`

                    `{`

                        `"id": 118,`

                        `"name": "read your contacts",`

                        `"description": "Allows the app to read data about your contacts stored on your device, including the frequency with which you've called, emailed, or communicated in other ways with specific individuals. This permission allows apps to save your contact data, and malicious apps may share contact data without your knowledge.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_CONTACTS"`

                    `},`

                    `{`

                        `"id": 119,`

                        `"name": "directly call phone numbers",`

                        `"description": "Allows the app to call phone numbers without your intervention. This may result in unexpected charges or calls. Note that this doesn't allow the app to call emergency numbers. Malicious apps may cost you money by making calls without your confirmation.",`

                        `"value": 1,`

                        `"displayValue": "Use Default",`

                        `"permissionId": "android.permission.CALL_PHONE"`

                    `},`

                    `{`

                        `"id": 120,`

                        `"name": "find accounts on the device",`

                        `"description": "Allows the app to get the list of accounts known by the device. This may include any accounts created by applications you have installed.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.GET_ACCOUNTS"`

                    `},`

                    `{`

                        `"id": 121,`

                        `"name": "modify or delete the contents of your USB storage",`

                        `"description": "Allows the app to write to the USB storage.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.WRITE_EXTERNAL_STORAGE"`

                    `},`

                    `{`

                        `"id": 122,`

                        `"name": "precise location (GPS and network-based)",`

                        `"description": "Allows the app to get your precise location using the Global Positioning System (GPS) or network location sources such as cell towers and Wi-Fi. These location services must be turned on and available to your device for the app to use them. Apps may use this to determine where you are, and may consume additional battery power.",`

                        `"value": 1,`

                        `"displayValue": "Use Default",`

                        `"permissionId": "android.permission.ACCESS_FINE_LOCATION"`

                    `},`

                    `{`

                        `"id": 123,`

                        `"name": "approximate location (network-based)",`

                        `"description": "Allows the app to get your approximate location. This location is derived by location services using network location sources such as cell towers and Wi-Fi. These location services must be turned on and available to your device for the app to use them. Apps may use this to determine approximately where you are.",`

                        `"value": 1,`

                        `"displayValue": "Use Default",`

                        `"permissionId": "android.permission.ACCESS_COARSE_LOCATION"`

                    `},`

                    `{`

                        `"id": 124,`

                        `"name": "modify your contacts",`

                        `"description": "Allows the app to modify the data about your contacts stored on your device, including the frequency with which you've called, emailed, or communicated in other ways with specific contacts. This permission allows apps to delete contact data.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.WRITE_CONTACTS"`

                    `},`

                    `{`

                        `"id": 125,`

                        `"name": "write call log",`

                        `"description": "Allows the app to modify your device's call log, including data about incoming and outgoing calls. Malicious apps may use this to erase or modify your call log.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.WRITE_CALL_LOG"`

                    `},`

                    `{`

                        `"id": 126,`

                        `"name": "record audio",`

                        `"description": "Allows the app to record audio with the microphone. This permission allows the app to record audio at any time without your confirmation.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.RECORD_AUDIO"`

                    `},`

                    `{`

                        `"id": 127,`

                        `"name": "read call log",`

                        `"description": "Allows the app to read your device's call log, including data about incoming and outgoing calls. This permission allows apps to save your call log data, and malicious apps may share call log data without your knowledge.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_CALL_LOG"`

                    `},`

                    `{`

                        `"id": 128,`

                        `"name": "read the contents of your USB storage",`

                        `"description": "Allows the app to read the contents of your USB storage.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_EXTERNAL_STORAGE"`

                    `},`

                    `{`

                        `"id": 129,`

                        `"name": "read phone status and identity",`

                        `"description": "Allows the app to access the phone features of the device. This permission allows the app to determine the phone number and device IDs, whether a call is active, and the remote number connected by a call.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_PHONE_STATE"`

                    `}`

                `],`

                `"labels": [`

                    `{`

                        `"id": -10,`

                        `"name": "Android"`

                    `},`

                    `{`

                        `"id": -6,`

                        `"name": "Company-Owned"`

                    `}`

                `]`

            `},`

            `{`

                `"name": "GM1",`

                `"restrictions": [ ],`

                `"permissions": [`

                    `{`

                        `"id": 118,`

                        `"name": "read your contacts",`

                        `"description": "Allows the app to read data about your contacts stored on your device, including the frequency with which you've called, emailed, or communicated in other ways with specific individuals. This permission allows apps to save your contact data, and malicious apps may share contact data without your knowledge.",`

                        `"value": 0,`

                        `"displayValue": "Accept",`

                        `"permissionId": "android.permission.READ_CONTACTS"`

                    `},`

                    `{`

                        `"id": 119,`

                        `"name": "directly call phone numbers",`

                        `"description": "Allows the app to call phone numbers without your intervention. This may result in unexpected charges or calls. Note that this doesn't allow the app to call emergency numbers. Malicious apps may cost you money by making calls without your confirmation.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.CALL_PHONE"`

                    `},`

                    `{`

                        `"id": 120,`

                        `"name": "find accounts on the device",`

                        `"description": "Allows the app to get the list of accounts known by the device. This may include any accounts created by applications you have installed.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.GET_ACCOUNTS"`

                    `},`

                    `{`

                        `"id": 121,`

                        `"name": "modify or delete the contents of your USB storage",`

                        `"description": "Allows the app to write to the USB storage.",`

                        `"value": 0,`

                        `"displayValue": "Deny",`

                        `"permissionId": "android.permission.WRITE_EXTERNAL_STORAGE"`

                    `},`

                    `{`

                        `"id": 122,`

                        `"name": "precise location (GPS and network-based)",`

                        `"description": "Allows the app to get your precise location using the Global Positioning System (GPS) or network location sources such as cell towers and Wi-Fi. These location services must be turned on and available to your device for the app to use them. Apps may use this to determine where you are, and may consume additional battery power.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.ACCESS_FINE_LOCATION"`

                    `},`

                    `{`

                        `"id": 123,`

                        `"name": "approximate location (network-based)",`

                        `"description": "Allows the app to get your approximate location. This location is derived by location services using network location sources such as cell towers and Wi-Fi. These location services must be turned on and available to your device for the app to use them. Apps may use this to determine approximately where you are.",`

                        `"value": 0,`

                        `"displayValue": "Deny",`

                        `"permissionId": "android.permission.ACCESS_COARSE_LOCATION"`

                    `},`

                    `{`

                        `"id": 124,`

                        `"name": "modify your contacts",`

                        `"description": "Allows the app to modify the data about your contacts stored on your device, including the frequency with which you've called, emailed, or communicated in other ways with specific contacts. This permission allows apps to delete contact data.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.WRITE_CONTACTS"`

                    `},`

                    `{`

                        `"id": 125,`

                        `"name": "write call log",`

                        `"description": "Allows the app to modify your device's call log, including data about incoming and outgoing calls. Malicious apps may use this to erase or modify your call log.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.WRITE_CALL_LOG"`

                    `},`

                    `{`

                        `"id": 126,`

                        `"name": "record audio",`

                        `"description": "Allows the app to record audio with the microphone. This permission allows the app to record audio at any time without your confirmation.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.RECORD_AUDIO"`

                    `},`

                    `{`

                        `"id": 127,`

                        `"name": "read call log",`

                        `"description": "Allows the app to read your device's call log, including data about incoming and outgoing calls. This permission allows apps to save your call log data, and malicious apps may share call log data without your knowledge.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_CALL_LOG"`

                    `},`

                    `{`

                        `"id": 128,`

                        `"name": "read the contents of your USB storage",`

                        `"description": "Allows the app to read the contents of your USB storage.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_EXTERNAL_STORAGE"`

                    `},`

                    `{`

                        `"id": 129,`

                        `"name": "read phone status and identity",`

                        `"description": "Allows the app to access the phone features of the device. This permission allows the app to determine the phone number and device IDs, whether a call is active, and the remote number connected by a call.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_PHONE_STATE"`

                    `}`

                `],`

                `"labels": [`

                    `{`

                        `"id": -10,`

                        `"name": "Android"`

                    `}`

                `]`

            `},`

            `{`

                `"name": "DEFAULT_CONFIG",`

                `"restrictions": [ ],`

                `"permissions": [`

                    `{`

                        `"id": 118,`

                        `"name": "read your contacts",`

                        `"description": "Allows the app to read data about your contacts stored on your device, including the frequency with which you've called, emailed, or communicated in other ways with specific individuals. This permission allows apps to save your contact data, and malicious apps may share contact data without your knowledge.",`

                        `"value": 0,`

                        `"displayValue": "Deny",`

                        `"permissionId": "android.permission.READ_CONTACTS"`

                    `},`

                    `{`

                        `"id": 119,`

                        `"name": "directly call phone numbers",`

                        `"description": "Allows the app to call phone numbers without your intervention. This may result in unexpected charges or calls. Note that this doesn't allow the app to call emergency numbers. Malicious apps may cost you money by making calls without your confirmation.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.CALL_PHONE"`

                    `},`

                    `{`

                        `"id": 120,`

                        `"name": "find accounts on the device",`

                        `"description": "Allows the app to get the list of accounts known by the device. This may include any accounts created by applications you have installed.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.GET_ACCOUNTS"`

                    `},`

                    `{`

                        `"id": 121,`

                        `"name": "modify or delete the contents of your USB storage",`

                        `"description": "Allows the app to write to the USB storage.",`

                        `"value": 0,`

                        `"displayValue": "Accept",`

                        `"permissionId": "android.permission.WRITE_EXTERNAL_STORAGE"`

                    `},`

                    `{`

                        `"id": 122,`

                        `"name": "precise location (GPS and network-based)",`

                        `"description": "Allows the app to get your precise location using the Global Positioning System (GPS) or network location sources such as cell towers and Wi-Fi. These location services must be turned on and available to your device for the app to use them. Apps may use this to determine where you are, and may consume additional battery power.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.ACCESS_FINE_LOCATION"`

                    `},`

                    `{`

                        `"id": 123,`

                        `"name": "approximate location (network-based)",`

                        `"description": "Allows the app to get your approximate location. This location is derived by location services using network location sources such as cell towers and Wi-Fi. These location services must be turned on and available to your device for the app to use them. Apps may use this to determine approximately where you are.",`

                        `"value": 0,`

                        `"displayValue": "Accept",`

                        `"permissionId": "android.permission.ACCESS_COARSE_LOCATION"`

                    `},`

                    `{`

                        `"id": 124,`

                        `"name": "modify your contacts",`

                        `"description": "Allows the app to modify the data about your contacts stored on your device, including the frequency with which you've called, emailed, or communicated in other ways with specific contacts. This permission allows apps to delete contact data.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.WRITE_CONTACTS"`

                    `},`

                    `{`

                        `"id": 125,`

                        `"name": "write call log",`

                        `"description": "Allows the app to modify your device's call log, including data about incoming and outgoing calls. Malicious apps may use this to erase or modify your call log.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.WRITE_CALL_LOG"`

                    `},`

                    `{`

                        `"id": 126,`

                        `"name": "record audio",`

                        `"description": "Allows the app to record audio with the microphone. This permission allows the app to record audio at any time without your confirmation.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.RECORD_AUDIO"`

                    `},`

                    `{`

                        `"id": 127,`

                        `"name": "read call log",`

                        `"description": "Allows the app to read your device's call log, including data about incoming and outgoing calls. This permission allows apps to save your call log data, and malicious apps may share call log data without your knowledge.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_CALL_LOG"`

                    `},`

                    `{`

                        `"id": 128,`

                        `"name": "read the contents of your USB storage",`

                        `"description": "Allows the app to read the contents of your USB storage.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_EXTERNAL_STORAGE"`

                    `},`

                    `{`

                        `"id": 129,`

                        `"name": "read phone status and identity",`

                        `"description": "Allows the app to access the phone features of the device. This permission allows the app to determine the phone number and device IDs, whether a call is active, and the remote number connected by a call.",`

                        `"value": 0,`

                        `"displayValue": "User Prompt",`

                        `"permissionId": "android.permission.READ_PHONE_STATE"`

                    `}`

                `],`

                `"labels": [ ]`

            `}`

        `],`

        `"versionRequired": false,`

        `"codeVersion": "",`

        `"mandatory": false,`

        `"mandatoryOverwrite": true,`

        `"secureApp": false,`

        `"enforceVersion": false,`

        `"vpnNames": null`

    `},`

    `"messages": [`

        `{`

            `"type": "Info",`

            `"messageKey": "com.mobileiron.vsp.messages.appstore.get.app.success",`

            `"localizedMessage": "App successfully fetched."`

        `}`

    `]`

`}`

## Search Apple iTunes App Store by name/description

This call searches for apps in the iTunes app store using a keyword from the app’s name or description.

### Required Role

See [Authentication](docId\:hJ6Ul2Sz4DNsmnPJ-Fxl_) for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.

| Required Role                                                      |
| ------------------------------------------------------------------ |
| **Category:** App Management<br />**Role Description:** Manage app |

### HTTP method

GET

### Request URI

api/v2/appstore/itunes

### Request parameters

| Parameter          | Description                                                                                                                                                                  | Sample Value |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| adminDeviceSpaceId | **Required**<br />**Parameter Type:** Request body<br />**Data Type:** Number<br />Device space ID of the administrator.                                                     | 1            |
| query              | **Required**<br />**Parameter Type:** Request body<br />**Data Type:** String<br />Keyword from the app name or description.                                                 | mobileiron   |
| countryCode        | **Required**<br />**Parameter Type:** Request body<br />**Data Type:** String<br />Two character ISO country code.                                                           | US           |
| limit              | **Parameter Type:** Query<br />**Data Type:** Number<br />Indicates the maximum number of entries to return. Must be at least 0 and no more than 200. 0 returns all results. |              |

### Response fields

| Field                                                                           | Description                                                |
| ------------------------------------------------------------------------------- | ---------------------------------------------------------- |
| messageKey                                                                      | Message key for the localized message bundle.              |
| messageParameters                                                               | Parameters for the localized message.                      |
| localizedMessageWithParameters                                                  | Localized message with parameters unresolved.              |
| localizedMessage                                                                | localized message with parameters resolved.                |
| result                                                                          | An array of retrieved objects shown in the following rows. |
| <font color="#000000">    </font>artistId                                       |                                                            |
| <font color="#000000">    </font>artistName                                     |                                                            |
| <font color="#000000">    </font>artistViewUrl                                  |                                                            |
| <font color="#000000">    </font>artworkUrl60                                   |                                                            |
| <font color="#000000">    </font>artworkUrl100                                  |                                                            |
| <font color="#000000">    </font>artworkUrl512                                  |                                                            |
| <font color="#000000">    </font>averageUserRating                              |                                                            |
| <font color="#000000">                </font>averageUserRatingForCurrentVersion |                                                            |
| <font color="#000000">    </font>contentAdvisoryRating                          |                                                            |
| <font color="#000000">    </font>currency                                       |                                                            |
| <font color="#000000">    </font>description                                    |                                                            |
| <font color="#000000">    </font>features                                       |                                                            |
| <font color="#000000">    </font>fileSizeBytes                                  |                                                            |
| <font color="#000000">    </font>genres                                         |                                                            |
| <font color="#000000">    </font>genreIds                                       |                                                            |
| <font color="#000000">    </font>ipadScreenshotUrls                             |                                                            |
| <font color="#000000">    </font>isGameCenterEnabled                            |                                                            |
| <font color="#000000">    </font>kind                                           |                                                            |
| <font color="#000000">    </font>languageCodesISO2A                             |                                                            |
| <font color="#000000">    </font>price                                          |                                                            |
| <font color="#000000">    </font>primaryGenreId                                 |                                                            |
| <font color="#000000">    </font>primaryGenreName                               |                                                            |
| <font color="#000000">    </font>releaseNotes                                   |                                                            |
| <font color="#000000">    </font>screenshotUrls                                 |                                                            |
| <font color="#000000">    </font>sellerName                                     |                                                            |
| <font color="#000000">    </font>sellerUrl                                      |                                                            |
| <font color="#000000">    </font>supportedDevices                               |                                                            |
| <font color="#000000">    </font>trackCensoredName                              |                                                            |
| <font color="#000000">    </font>trackId                                        |                                                            |
| <font color="#000000">    </font>trackName                                      |                                                            |
| <font color="#000000">    </font>trackViewUrl                                   |                                                            |
| <font color="#000000">    </font>releaseDate                                    |                                                            |
| <font color="#000000">    </font>trackContentRating                             |                                                            |
| <font color="#000000">    </font>userRatingCount                                |                                                            |
| <font color="#000000">                </font>userRatingCountForCurrentVersion   |                                                            |
| <font color="#000000">    </font>version                                        |                                                            |
| <font color="#000000">    </font>wrapperType                                    |                                                            |
| <font color="#000000">    </font>catalogVer                                     |                                                            |
| <font color="#000000">    </font>bundleId                                       |                                                            |
| <font color="#000000">    </font>free                                           |                                                            |
| <font color="#000000">    </font>ipadOnly                                       |                                                            |

### Sample request and response

### Request

curl -G -k -sS -u `<userName>:<password>` '`https://[Ivanti EPMM]`/api/v2/appstore/itunes' --data-urlencode 'adminDeviceSpaceId=1\&query=mobileiron\&countryCode=US\&limit=1'

### Response

`{`

    `"messageKey": "com.mobileiron.vsp.messages.appstore.apple.lookup.app.success",`

    `"messageParameters": [`

        `1`

    `],`

    `"localizedMessageWithParameters": "App lookup returned ''{0}'' results.",`

    `"localizedMessage": "App lookup returned '1' results.",`

    `"result": [`

        `{`

            `"artistId": 320659797,`

            `"artistName": "MobileIron",`

            `"artistViewUrl": "https://itunes.apple.com/us/artist/mobileiron/id320659797?uo=4",`

            `"artworkUrl60": "http://a606.phobos.apple.com/us/r30/Purple4/v4/40/e0/5c/40e05c06-3cc4-4a7a-9510-f350d549c08f/Icon.png",`

            `"artworkUrl100": "http://a215.phobos.apple.com/us/r30/Purple3/v4/c0/e8/79/c0e879a6-a223-e8bf-5dcb-56ec70d925b6/mzl.emcoqmwq.png",`

            `"artworkUrl512": "http://a215.phobos.apple.com/us/r30/Purple3/v4/c0/e8/79/c0e879a6-a223-e8bf-5dcb-56ec70d925b6/mzl.emcoqmwq.png",`

            `"averageUserRating": 3.5,`

            `"averageUserRatingForCurrentVersion": 3,`

            `"contentAdvisoryRating": "4+",`

            `"currency": "USD",`

            `"description": "Ivanti's Mobile@Work™ app seamlessly integrates your iOS device with your company's mobile operations.\n• Automatically configure your device for access to your corporate Wi-Fi and VPN networks.\n• Get access to email, protected attachments, and other corporate resources.\n• View documents stored on SharePoint and other company document repositories and store them locally for offline viewing.\n• Annotate documents and securely email them to your colleagues.\n• Test and profile your network connection speeds and track your results geographically.\n• Authenticate to Ivanti AppConnect secure applications.\n\nNOTE: The Mobile@Work™ iOS app requires use of Ivanti's enterprise Virtual Smartphone Platform. Please consult with your company's Mobile IT organization before downloading this app. The Mobile@Work™ app will not operate without the required Ivanti infrastructure.",`

            `"features": [`

                `"iosUniversal"`

            `],`

            `"fileSizeBytes": 17851098,`

            `"genres": [`

                `"Business",`

                `"Utilities"`

            `],`

            `"genreIds": [`

                `"6000",`

                `"6002"`

            `],`

            `"ipadScreenshotUrls": [`

                `"http://a3.mzstatic.com/us/r30/Purple4/v4/3d/8b/11/3d8b11d0-eb5f-f783-8b69-91b3150f2f76/screen480x480.jpeg",`

                `"http://a3.mzstatic.com/us/r30/Purple4/v4/73/45/65/73456540-8afa-b718-920b-8f79e00d4d4d/screen480x480.jpeg"`

            `],`

            `"isGameCenterEnabled": false,`

            `"kind": "software",`

            `"languageCodesISO2A": [`

                `"NL",`

                `"EN",`

                `"FR",`

                `"DE",`

                `"IT",`

                `"JA",`

                `"KO",`

                `"PL",`

                `"PT",`

                `"RO",`

                `"ZH",`

                `"SK",`

                `"ES",`

                `"ZH"`

            `],`

            `"price": 0,`

            `"primaryGenreId": 6000,`

            `"primaryGenreName": "Business",`

            `"releaseNotes": "• Bug fixes.",`

            `"screenshotUrls": [`

                `"http://a3.mzstatic.com/us/r30/Purple5/v4/54/a5/df/54a5df30-3e7b-09a1-11ca-2d9aef159a1a/screen322x572.jpeg",`

                `"http://a1.mzstatic.com/us/r30/Purple4/v4/a8/b2/b0/a8b2b01d-1af0-682b-dc7b-0d7a7188357b/screen322x572.jpeg",`

                `"http://a3.mzstatic.com/us/r30/Purple4/v4/dd/60/64/dd6064fd-eecb-e7fd-02f2-06ba1875d4cc/screen322x572.jpeg"`

            `],`

            `"sellerName": "MobileIron",`

            `"sellerUrl": "http://www.mobileiron.com",`

            `"supportedDevices": [`

                `"iPhone4S",`

                `"iPhone4",`

                `"iPadFourthGen",`

                `"iPhone5",`

                `"iPhone5s",`

                `"iPhone5c",`

                `"iPadThirdGen4G",`

                `"iPhone-3GS",`

                `"iPadThirdGen",`

                `"iPad2Wifi",`

                `"iPadMini4G",`

                `"iPodTouchFifthGen",`

                `"iPadMini",`

                `"iPodTouchourthGen",`

                `"iPadFourthGen4G",`

                `"iPad23G"`

            `],`

            `"trackCensoredName": "MobileIron Mobile@Work™ Client",`

            `"trackId": 320659794,`

            `"trackName": "MobileIron Mobile@Work™ Client",`

            `"trackViewUrl": "https://itunes.apple.com/us/app/mobileiron-mobile-work-client/id320659794?mt=8&uo=4",`

            `"releaseDate": 1248721090000,`

            `"trackContentRating": "4+",`

            `"userRatingCount": 861,`

            `"userRatingCountForCurrentVersion": 13,`

            `"version": "6.1.1",`

            `"wrapperType": "software",`

            `"catalogVer": null,`

            `"bundleId": "com.mobileiron.phoneatwork",`

            `"free": true,`

            `"ipadOnly": false`

        `}`

    `]`

`}`

## Import iTunes app by track id

This call searches for an app in the iTunes by the app's track id, and then imports it if it is available.

### Required Role

See [Authentication](docId\:hJ6Ul2Sz4DNsmnPJ-Fxl_) for complete details on ensuring that the credentials you use for basic authentication belong to a user with the necessary role for this API call.

| Required Role                                                      |
| ------------------------------------------------------------------ |
| **Category:** App Management<br />**Role Description:** Manage app |

### HTTP method

POST

### Request URI

api/v2/appstore/itunes

### Request parameters

| Parameter          | Description                                                                                                                                                                                        | Sample Value |
| ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| adminDeviceSpaceId | **Required**<br />**Parameter Type:** Query<br />**Data Type:** Number<br />Device space ID of the administrator.                                                                                  | 1            |
| trackId            | **Required**<br />**Parameter Type:** Query<br />**Data Type:** Long<br />App’s trackId on iTunes.                                                                                                 | 530168168    |
| countryCode        | **Parameter Type:** Query<br />**Data Type:** String<br />**Default:** The browser's locale country code.<br />The two character ISO code of the country within which the app should be looked up. | US           |
| languageCode       | **Parameter Type:** Query<br />**Data Type:** String<br />**Default:** The browser's locale language code.<br />The ISO code of the language for the description of the app, if available.         | EN           |
| forceUpdate        | **Parameter Type:** Query<br />**Data Type:** Boolean<br />**Default:** True<br />Whether the existing app with the same bundle ID should be overwritten if it exists.                             | False        |

### Response fields

| Field                                                   | Description                                                |
| ------------------------------------------------------- | ---------------------------------------------------------- |
| messages                                                | Container for messages information.                        |
| <font color="#000000">    </font>Type                   | Indicates the type of the message.                         |
| <font color="#000000">    </font>messageKey             | Message key for the localized message bundle.              |
| <font color="#000000">    </font>localizedMessage       | Localized message with parameters resolved.                |
| results                                                 | An array of retrieved objects shown in the following rows. |
| <font color="#000000">    </font>id                     |                                                            |
| <font color="#000000">    </font>name                   |                                                            |
| <font color="#000000">    </font>platformType           |                                                            |
| <font color="#000000">    </font>platformCode           |                                                            |
| <font color="#000000">    </font>version                |                                                            |
[...]
